### Method

# Gtk IconViewset_tooltip_column

deprecated: 4.10

#### Declaration [src]

    void
    gtk_icon_view_set_tooltip_column (
      GtkIconView* icon_view,
      int column
    )

#### Description [src]

If you only plan to have simple (text-only) tooltips on full items, you can use this function to have `GtkIconView` handle these automatically for you. `column` should be set to the column in `icon_view`’s model containing the tooltip texts, or -1 to disable this feature.

When enabled, `GtkWidget:has-tooltip` will be set to `TRUE` and `icon_view` will connect a `GtkWidget::query-tooltip` signal handler.

Note that the signal handler sets the text with gtk_tooltip_set_markup(), so &, <, etc have to be escaped in the text.

Deprecated since: 4.10

Use `GtkGridView` instead.

Sets property | `Gtk.IconView:tooltip-column`

#### Parameters

`column`

  Type: `int`

  An integer, which is a valid column number for `icon_view`’s model.